summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-29 15:59:45 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-30 21:11:18 +0100
commitc62b75dc11dbc9afa602972a1317c75d268b85bc (patch)
treefcd69aeed933d5da457537adbe3b0206303c0c6d /tests
parent7dcd41932bc717336931920636b073c02e6b38f7 (diff)
test suite: baredebian-tarball: New test
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/baredebian-tarball23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/tests/baredebian-tarball b/tests/tests/baredebian-tarball
new file mode 100755
index 0000000..6b1a1b6
--- /dev/null
+++ b/tests/tests/baredebian-tarball
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-baredebian
+
+t-dependencies GDR DEBORIG quilt
+
+t-setup-import baredebian
+t-tstunt-parsechangelog
+
+cd $p
+baredebian-test-vars
+
+quiltmode=baredebian+tarball
+git tag -d $uvtag
+uvtag=''
+
+t-expect-fail 'Could not determine appropriate upstream commitish' \
+t-dgit -wn --dgit-view-save=split.g --baredebian quilt-fixup
+
+baredebian-test-core
+
+t-ok